GETRESUID(2)

NAME
getresuid, getresgid - get real, effective and saved user or group ID

SYNOPSIS
#define _GNU_SOURCE
#include <unistd.h>

int getresuid(uid_t *ruid, uid_t *euid, uid_t *suid);
int getresgid(gid_t *rgid, gid_t *egid, gid_t *sgid);

DESCRIPTION
getresuid() and getresgid() (both introduced in Linux 2.1.44) get the real UID, effective UID, and saved set-user-ID (resp. group ID's) of the current process.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EFAULT
    One of the arguments specified an address outside the calling program's address space.

CONFORMING TO
This call is Linux-specific. The prototype is given by glibc since version 2.3.2 provided _GNU_SOURCE is defined.

SEE ALSO
getuid(2), setresuid(2), setreuid(2), setuid(2)